﻿/*
 *  PS拉框助手 安装扩展脚本
 *  2019年6月4日 21:38:00
 *  Author: 灰色执照
 *  QQ: 26304971
 *  http://www.pslkzs.com
 *  安装教程：https://www.pslkzs.com/tutorial/setup.html
 */

var scriptFile = new File($.fileName);
var extensionFolder = new Folder(scriptFile.path + "/install");
var target = getTarget();

if (target.exists){
    showExtFolder(extensionFolder, target);
    alert("扩展安装成功,请重启photoshop");
}else{
     target.create();
     showExtFolder(extensionFolder, target);
     alert("扩展安装成功,请重启photoshop");
}


function getTarget(){
    var targetFolder,
          target,
          path,
          userData = Folder.userData,
          version = app.version.split(".")[0];
    if (parseInt(version) == 14)        
        path = "CEPServiceManager4";
     else
        path = "CEP";
   
   target = userData + "/Adobe/" + path + "/extensions";
   
   targetFolder = new Folder(target);
    
    return targetFolder;
}

function showExtFolder(folder, target){
    var extFileArr = folder.getFiles("*");
    
    for (var i = 0; i < extFileArr.length; i++){
        
        if (extFileArr[i] instanceof File){
            
                copyFile((target.path + "/" + target.name) , extFileArr[i], extFileArr[i].name);
                
        }else if (extFileArr[i] instanceof Folder){
               
                createFolder((target.path + "/" + target.name) + "/" + extFileArr[i].name);
                showExtFolder(extFileArr[i], new Folder(target + "/" +extFileArr[i].name));
                
        }
    }
}


function createFolder( folder){
    var newFolder = new Folder(folder);
    newFolder.create();
}


function copyFile(targetPath, file, fileName){
    file.copy(targetPath + "/" + fileName);
}
